Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.optimization.fitting
Class WeightedObservedPoint

    java.lang.Object
      org.apache.commons.math3.optimization.fitting.WeightedObservedPoint

All Implemented Interfaces:
  Serializable

Deprecated. As of 3.1 (to be removed in 4.0).

    @Deprecated
    public class WeightedObservedPoint

extends Object
implements Serializable

This class is a simple container for weighted observed point in `curve fitting`.

Instances of this class are guaranteed to be immutable.

Since:
  2.0
Version:
  $Id: WeightedObservedPoint.java 1422230 2012-12-15 12:11:13Z erans $
See Also:
  Serialized Form

Constructor Summary
`WeightedObservedPoint(double weight, double x, double y)` Deprecated. Simple constructor.

Method Summary
`double` | `getWeight()` Deprecated. Get the weight of the measurement in the fitting process.
`double` | `getX()` Deprecated. Get the abscissa of the point.
`double` | `getY()` Deprecated. Get the observed value of the function at x.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WeightedObservedPoint

    public WeightedObservedPoint(double weight,
                                 double x,
                                 double y)

  Deprecated.
  Simple constructor.

  Parameters:
    `weight` - weight of the measurement in the fitting process
    `x` - abscissa of the measurement
    `y` - ordinate of the measurement

Method Detail

### getWeight

    public double getWeight()

  Deprecated.
  Get the weight of the measurement in the fitting process.

  Returns:
    weight of the measurement in the fitting process

### getX

    public double getX()

  Deprecated.
  Get the abscissa of the point.

  Returns:
    abscissa of the point

### getY

    public double getY()

  Deprecated.
  Get the observed value of the function at x.

  Returns:
    observed value of the function at x

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.